{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The Laravel Framework.",
    "keywords": [
        "framework",
        "laravel"
    ],
    "license": "MIT",
    "require": {
        "php": "^8.2",
        "alban/laravel-collective-spatie-html-parser": "^1.1.9",
        "barryvdh/laravel-dompdf": "^2.2",
        "cocur/slugify": "^4.5",
        "cviebrock/eloquent-sluggable": "^11.0",
        "doctrine/dbal": "^3.6.0|^4.0",
        "guzzlehttp/guzzle": "^7.4",
        "intervention/image": "^3",
        "jenssegers/date": "^4.0",
        "joedixon/laravel-translation": "2.x-dev",
        "laracasts/flash": "^3.2",
        "laravel/framework": "^11.0",
        "laravel/passport": "^12.0",
        "laravel/prompts": "^0.1.14",
        "laravel/tinker": "^2.9",
        "laravel/ui": "^4.2",
        "maatwebsite/excel": "^3.1",
        "setasign/fpdf": "^1.8.6",
        "setasign/fpdi": "^2.6",
        "wearepixel/laravel-google-shopping-feed": "^4.0",
        "yajra/laravel-datatables-oracle": "^11.0",
        "srmklive/paypal": "~3.0"
    },
    "require-dev": {
        "spatie/laravel-ignition": "^2.0", 
        "nunomaduro/collision": "^8.1",
        "fakerphp/faker": "^1.23", 
        "laravel/pint": "^1.0", 
        "laravel/sail": "^1.26", 
        "mockery/mockery": "^1.6.2",
        "pestphp/pest": "^2.0", 
        "pestphp/pest-plugin-laravel": "^2.0", 
        "barryvdh/laravel-debugbar": "^3.13", 
        "barryvdh/laravel-ide-helper": "^3.0" 
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "pestphp/pest-plugin": true,
            "php-http/discovery": true,
            "dealerdirect/phpcodesniffer-composer-installer": true, 
            "composer/installers": true 
        }
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "autoload": {
        "files": [
            "app/helpers.php"
        ],
        "psr-4": {
            "App\\": "app/",
            "Gloudemans\\Shoppingcart\\": "packages/digital-bird/shoppingcart/src",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
   "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi",
            "@php artisan vendor:publish --force --tag=livewire:assets --ansi" 
        ],
        "post-update-cmd": [
            "@php artisan vendor:publish --tag=laravel-assets --ansi --force", 
            "php artisan ide-helper:generate", 
            "php artisan ide-helper:meta", 
            "php artisan ide-helper:models" 
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi",
            "@php artisan storage:link --ansi" 
        ],
        "format": [
            "./vendor/bin/pint"
        ]
    },
    "repositories": [
        {
            "type": "vcs",
            "url": "https://github.com/bjhijmans/laravel-translation.git"
        }
    ],
    "minimum-stability": "dev",
    "prefer-stable": true
}
